///
/// A "collision" event
///

#ifndef __EVENT_COLLISION_H__
#define __EVENT_COLLISION_H__

#include "Event.h"
#include "GameObject.h"

#define COLLISION_EVENT "collision"

class EventCollision : public Event {
 protected:
  Position pos;		   /// where
  GameObject *obj1;        /// the object moving, causing the collision
  GameObject *obj2;	   /// the object being collided with

 public:
  EventCollision();
  EventCollision(GameObject *o1, GameObject *o2, Position p);
  GameObject *getObj1();
  void setObj1(GameObject *new_o1); 
  GameObject *getObj2();
  void setObj2(GameObject *new_o2); 
  Position getPos();
  void setPos(Position new_pos);
};

#endif /// __EVENT_COLLISION_H__
